Support » Plugin: Wordfence Security - Firewall & Malware Scan » Seems that the latest Wordfence update is causing an error

  • Resolved watershare

    (@watershare)


    Just received this error message after the latest Wordfence upodate:

    ___________________________
    Hi!

    Since WordPress 5.2 there is a built-in feature that detects when a plugin or theme causes a fatal error on your site, and notifies you with this automated email.

    In this case, WordPress caught an error with one of your plugins, Wordfence Security.

    First, visit your website (https://cbosss.com/) and check for any visible issues. Next, visit the page where the error was caught (https://cbosss.com/wp-admin/admin-ajax.php?_fs_blog_admin=true) and check for any visible issues.

    Please contact your host for assistance with investigating this issue further.

    If your site appears broken and you can’t access your dashboard normally, WordPress now has a special “recovery mode”. This lets you safely log in to your dashboard and investigate further.

    XXXXXXXXXXXXXXX

    To keep your site safe, this link will expire in 1 day. Don’t worry about that, though: a new link will be emailed to you if the error occurs again after it expires.

    Error Details
    =============
    An error of type E_COMPILE_ERROR was caused in line 1452 of the file /hermes/bosnaweb19a/b2220/sl.xxxx/public_html/wordpress/wp-content/plugins/wordfence/lib/wfUtils.php. Error message: require_once(): Failed opening required ‘/hermes/bosnaweb19a/b2220/sl.xxxx/public_html/wordpress/wp-content/plugins/wordfence/lib/../models/common/wfGeoIP2.php’ (include_path=’.:/usr/local/lib/php-7.1.1-precise/lib/php’)

    The page I need help with: [log in to see the link]

Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Support WFGerroald

    (@wfgerald)

    Hey @watershare,

    Thanks for reaching out. It looks like a Wordfence update may have failed. Can you please follow these instructions:

    Log in to your site via FTP/SSH or any file browser your web host may be providing.

    Locate the folder “wordfence” in /wp-content/plugins

    Delete the /wordfence/ folder

    Go to WordPress Plugins page and install Wordfence. Activate (the new) Wordfence.

    Please give this a try and let me know how it goes.

    Thanks,

    Gerroald

    watershare

    (@watershare)

    Hi Gerroald

    Will i loose all my Wordfence settings if i delete it like that? I have blocked so many IPs, as i was under serious attack the past few weeks, and only my Wordfence protected me…

    My dashboard seems to be working fine, do you think i should just wait for it to correct itself?

    sagoff45

    (@sagoff45)

    Hi Watershare and WFGerroald,
    I received the same error message from WordPress. In addition to what Watershare stated, my email included these Error Details
    =============
    An error of type E_COMPILE_ERROR was caused in line 4 of the file /…/minproj.com/wp-content/plugins/wordfence/models/common/wfGeoIP2.php. Error message: require_once(): Failed opening required ‘/…/minproj.com/wp-content/plugins/wordfence/models/common/../../vendor/autoload.php’

    Thanks,
    SAGOFF

    Plugin Support WFGerroald

    (@wfgerald)

    Hey @watershare,

    Your settings are stored in the database. Basically what you’re doing when you do this is overwriting the plugin files, so your settings will main intact. I would suggest doing this because Wordfence is trying to open a file it can’t find. There may be underlying functionality affected that not seeing.

    @sagoff45 – Can you please try this as well? And if you run into any issues please open a separate thread and we’ll take a closer look.

    Please let me know how it goes

    Thanks,

    Gerroald

    watershare

    (@watershare)

    Hi Gerroald

    i did exactly as you suggested, deleted the plugin file from my hosting providers, file manager, reinstalled the plugin, but it did not let me activate after installing, it seems to have self-activated..

    Nevertheless, everything looks fine -ill let you know if i get another warning from wordpress

    Thanks for assisting!

    Plugin Support WFGerroald

    (@wfgerald)

    Hey @watershare,

    Thanks for the update, and happy to hear it!

    Please let us know if anything else comes up.

    Thanks,

    Gerroald

    ktaylor310

    (@ktaylor310)

    My client forwarded the same email to me, however when I checked the website it looked as though everything was fine and the version is updated. I have at least 60 clients using wordfence and that is the only error message I have received so far.

    ktaylor310

    (@ktaylor310)

    I take that back… more emails are coming in, but they ARE updating. Maybe it didn’t update the first try…

    watershare

    (@watershare)

    Thanks Gerroald – if you could, can you please edit that first post of mine, with the ajax-link, to remove the link? I am getting a lot of attempts to break into y site via that link, which i only posted here…

    cliffrohde

    (@cliffrohde)

    I’m also getting this on a lot of sites. My error message is:

    Fatal Error (E_COMPILE_ERROR): require_once(): Failed opening required ‘/home/[redacted]/public_html/wp-content/plugins/wordfence//vendor/paragonie/sodium_compat/autoload-fast.php’ (include_path=’.:/opt/cpanel/ea-php73/root/usr/share/pear’) occurred in wp-content/plugins/wordfence/lib/wfCentralAPI.php on line 256 please make sure that your website is accessible

    Plugin Support WFGerroald

    (@wfgerald)

    Hey @cliffrohde,

    Can you please start a new thread?

    This sounds like a WordPress plugin update that didn’t go well. Can you please try reinstalling Wordfence and let me know if it helps?

    https://www.wordfence.com/help/advanced/remove-or-reset/

    Please note that if you use the Wordfence Assistant method the tables below will need to be manually removed. In the next Wordfence Assistant release, these tables will be added to it.

    wfls_settings
    wfls_2fa_secrets

    Please let me know how it goes.

    Thanks,

    Gerroald

Viewing 11 replies - 1 through 11 (of 11 total)
  • You must be logged in to reply to this topic.